跳转到主要内容

确定与服务提供商的连接价格

确定将Network Edge虚拟设备连接到服务提供商的价格。

先决条件

  1. 身份验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2身份验证。有关如何调用OAuth API以验证和验证凭据的说明,请参阅API身份验证

  2. 确定Network Edge设备信息。您需要具有注册许可证的已配置Equinix虚拟设备/冗余设备/群集。通过调用获取虚拟设备获取虚拟设备{uuid}来检查可用的虚拟设备和群集。您可以在设备上为您的连接选择任何可用接口。但是,如果不指定接口,Equinix将选择接口。

  3. 使用获取所有Metros终结点查找Equinix Fabric可用的所有Metros并确定目标位置。

  4. 确定要连接的服务提供商的服务配置文件。使用检索服务配置文件API请求搜索特定的服务配置文件,或使用获取服务配置文件API请求列出所有可用的服务配置文件,并确定要连接的配置文件。

请求与服务提供商连接的定价信息

要请求定价信息,请将请求发送POST/fabric/v4/prices/search endpoint。在请求正文中指定您的定价标准。

cURL 请求示例:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "GW_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "VD"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "CH"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "SP"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/profile/uuid",
                "operator": "=",
                "values": [
                    "e0346949-00af-480b-801b-bdd2b8980c6e"
                ]
            }
        ]
    }
}'

请求正文中包含的参数特定于此示例。有关参数及其说明的完整列表, 请参见API参考

这个页面对您有帮助吗?